Name:           khard
Version:        0.17.0
Release:    1%{?dist}
Summary:        An address book for the Linux console

License:        GPLv3
URL:            https://github.com/scheibler/%{name}
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
Requires:       python3-atomicwrites
Requires:       python3-configobj
Requires:       python3-ruamel-yaml
Requires:       python3-unidecode
Requires:       python3-vobject

%description
Khard is an address book for the Linux console. It creates, reads, modifies and
removes carddav address book entries at your local machine.


%prep
%setup -q


%build
%py3_build


%install
%py3_install
mkdir -p %{buildroot}%{_datadir}/khard/examples/
mkdir -p %{buildroot}%{_datadir}/khard/examples/davcontroller/
install -p -m 0644 misc/davcontroller/davcontroller.py %{buildroot}%{_datadir}/khard/examples/davcontroller/davcontroller.py
mkdir -p %{buildroot}%{_datadir}/khard/examples/sdiff/
install -p -m 0644 misc/sdiff/sdiff_khard_wrapper.sh %{buildroot}%{_datadir}/khard/examples/sdiff/sdiff_khard_wrapper.sh
install -p -d misc/twinkle %{buildroot}%{_datadir}/khard/examples/twinkle
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions/
install -p -m 0644 misc/zsh/_email-khard %{buildroot}%{_datadir}/zsh/site-functions/_khard
install -p -m 0644 misc/zsh/_khard %{buildroot}%{_datadir}/zsh/site-functions/_khard


%files
%doc CHANGES README.md todo.txt
%license LICENSE
%{_bindir}/khard
%{python3_sitelib}/*
%{_datadir}/khard/
%{_datadir}/zsh/site-functions/


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.17.0-1
- initial build
